package models

import (
	"go-admin/common/models"
)

type LineReduceStrategy struct {
	models.Model

	Name   string                   `json:"name" gorm:"type:varchar(50);comment:减仓策略名称"`
	Status int                      `json:"status" gorm:"type:tinyint;comment:状态 1-启用 2-禁用"`
	Items  []LineReduceStrategyItem `json:"items" gorm:"foreignKey:ReduceStrategyId;references:Id"`
	models.ModelTime
	models.ControlBy
}

func (LineReduceStrategy) TableName() string {
	return "line_reduce_strategy"
}

func (e *LineReduceStrategy) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *LineReduceStrategy) GetId() interface{} {
	return e.Id
}
